<template>
	<el-pagination
	layout="total,prev,pager,next,jumper" 
	background
	:current-page="page_no"
	@current-change="handleCurrentChange"
	:page-size="pageSize" 
	@size-change="handleSizeChange" 
	:total="total"
	:pager-count="pagercount"
	style="float:right;">
	</el-pagination>
</template>

<script>
export default {
	name:'',
	components: {},
	props: {
		page_no: {
			type:Number,
			default:1
		},
		pageSize: {
			type:Number,
			default:10
		},
		total: {
			type:Number,
			default:0
		},
		pagercount: {
			type: Number,
			default:7
		}
	},
	data () {
		return {

		};
	},
	methods: {
		/* 页码改变 */
		handleCurrentChange(page) {
			this.$emit('handleCurrentChange',page)
		},
		/* 每页条数改变 */
		handleSizeChange(size) {
			this.$emit('handleSizeChange',page)
		}
	},
	created() {},
	mounted() {},
}
</script>
<style lang='' scoped>

</style>